=== debian/changelog ===
ros-indigo-robot-state-publisher (1.11.2-0trusty) trusty; urgency=high

  * Add back future dating for robot_state_publisher (#50 <https://github.com/ros/robot_state_publisher/issues/50>)
  * Contributors: Jackie Kay

 -- Ioan Sucan <isucan@google.com>  Fri, 20 May 2016 07:00:00 -0000

ros-indigo-robot-state-publisher (1.11.1-0trusty) trusty; urgency=high

  * Merge pull request #41 <https://github.com/ros/robot_state_publisher/issues/41> from ros/fix_tests_indigo
    Re-enable and clean up rostests
  * Correct failing tests
  * Re-enabling rostests
  * Fix API break in publishFixedTransforms
    A bool argument was added to
    RobotStatePublisher::publishFixedTransforms
    which broke API.
    I've added a default value of false, to match
    the default specified in the JointStateListener
    constructor.
  * Contributors: Jackie Kay, Jonathan Bohren, Steven Peters

 -- Ioan Sucan <isucan@google.com>  Mon, 22 Feb 2016 08:00:00 -0000

ros-indigo-robot-state-publisher (1.11.0-0trusty) trusty; urgency=high

  * Merge pull request #28 <https://github.com/ros/robot_state_publisher/issues/28> from clearpathrobotics/tf2-static
    Port to tf2 and enable using static broadcaster
  * Merge pull request #32 <https://github.com/ros/robot_state_publisher/issues/32> from shadow-robot/fix_issue#19 <https://github.com/shadow-robot/fix_issue/issues/19>
    Check URDF to distinguish fixed joints from floating joints. Floating joint are ignored by the publisher.
  * Merge pull request #26 <https://github.com/ros/robot_state_publisher/issues/26> from xqms/remove-debug
    get rid of argv[0] debug output on startup
  * Contributors: David Lu!!, Ioan A Sucan, Jackie Kay, Max Schwarz, Paul Bovbel, Remo Diethelm, Toni Oliver

 -- Ioan Sucan <isucan@google.com>  Wed, 21 Oct 2015 07:00:00 -0000

ros-indigo-robot-state-publisher (1.10.4-0trusty) trusty; urgency=high

  * Merge pull request #21 <https://github.com/ros/robot_state_publisher/issues/21> from rcodddow/patch-1
  * Fix for joint transforms not being published anymore after a clock reset (e.g. when playing a bagfile and looping)
  * Contributors: Ioan A Sucan, Robert Codd-Downey, Timm Linder

 -- Ioan Sucan <isucan@google.com>  Sun, 30 Nov 2014 08:00:00 -0000

ros-indigo-robot-state-publisher (1.10.3-0trusty) trusty; urgency=high

  * add version depend on orocos_kdl >= 1.3.0
    Conflicts:
    package.xml
  * Update KDL SegmentMap interface to optionally use shared pointers
    The KDL Tree API optionally uses shared pointers on platforms where
    the STL containers don't support incomplete types.
  * Contributors: Brian Jensen, William Woodall

 -- Ioan Sucan <isucan@google.com>  Thu, 24 Jul 2014 07:00:00 -0000

ros-indigo-robot-state-publisher (1.10.0-0trusty) trusty; urgency=high

  * minor style fixes
  * Add support for mimic tag.
  * Contributors: Ioan Sucan, Konrad Banachowicz

 -- Ioan Sucan <isucan@google.com>  Mon, 03 Mar 2014 08:00:00 -0000
