=== debian/control ===
Source: ros-indigo-robot-state-publisher
Section: misc
Priority: extra
Maintainer: Ioan Sucan <isucan@google.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-kdl-parser, ros-indigo-orocos-kdl (>= 1.3.0), ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-rostime, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-tf2-kdl, ros-indigo-tf2-ros
Homepage: http://wiki.ros.org/robot_state_publisher
Standards-Version: 3.9.2

Package: ros-indigo-robot-state-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-indigo-catkin, ros-indigo-kdl-parser, ros-indigo-orocos-kdl (>= 1.3.0), ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-rostime, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-tf2-kdl, ros-indigo-tf2-ros
Description: This package allows you to publish the state of a robot to tf.
 Once the state gets published, it is available to all components in the system that also use tf. The package takes the joint angles of the robot as input and publishes the 3D poses of the robot links, using a kinematic tree model of the robot. The package can both be used as a library and as a ROS node. This package has been well tested and the code is stable. No major changes are planned in the near future
